WooCommerce

WooCommerce 4.3

woocommerce
Autor příspěvku Tomáš Cirkl

WooCommerce 4.3 je menší aktualizace, která je zpětně kompatibilní s předchozí verzí pluginu. Pojďme se podívat na ty nejzajímavější změny, které aktualizace přináší.

Nová hlavní stránka

WooCommerce obsahuje novou hlavní stránku, která by měla ulehčit správu vašeho e-shopu. Obsahuje 3 hlavní boxy:

  • příchozí zprávy,
  • náhled na základní metriky obchodu,
  • zkratky na nejčastěji používané nastavení.
WooCommerce domácí strana

WooCommerce domácí strana

Aktualizace bloků

Úpravy se také dočkaly bloky pro Gutenberg.

  • Nový stav pro objednávky “koncept”.
  • Všechny bloky pro mřížkový výpis produktů jsou nyní ve výchozím nastavení nastaveny na 3 sloupce.
  • HTML editace byla z několika bloků odstraněna.
  • Blok Filtrovat produkty podle vlastnosti dostal více možností nastavení.
  • Blok Filtrovat produkty podle ceny dostal více možností nastavení.
  • Vylepšení stylů a konzistence.

Nové bloky pro Košík a Pokladnu zatím nejsou obsaženy přímo ve WooCommerce, ale pokud je chcete vyzkoušet, můžete si nainstalovat plugin WooCommerce Blocks.

Další vylepšení

Mezi další vylepšení pluginu patří:

  • vylepšené souběžné pracování se správou skladu,
  • přidán nový nástroj pro obnovu databázového schéma,
  • opravena chyba v nástroji CVS import a export,
  • vylepšené cachování šablony,
  • oprava chybného chování odkazu pro vložení do košíku.

Podpora PHP verze

Od nové verze je minimální požadovaná PHP verze 7.2.

Pokud stále používáte starší PHP verzi, doporučujeme přejít na novější, protože již nebudete dostávat bezpečnostní aktualizace.

Varování kompatibility rozšíření

Minor verze aktualizace WooCommerce již nadále nebudou obsahovat varování kompatibility pro rozšíření. Toto varování bude obsažené pouze v hlavních aktualizacích.

Varování pro kompatibilitu rozšíření

Varování pro kompatibilitu rozšíření

Všechny minor aktualizace jsou zpětně kompatibilní a vývojáři WooCommerce se rozhodli pro pravidelné měsíční aktualizace, tak bylo rozhodnuto, že varování kompatibility pro rozšíření nebude součástí.

Minimální požadovaná verze WordPress

Nová aktualizace WooCommerce navyšuje minimální požadovanou verzi WordPress na 4.2.

O autorovi

Tomáš Cirkl

Baví mě Internet a zvláště pak redakční systém WordPress. Jsem pravidelným účastníkem a přednášejícím na WordCamp Praha a WordPress konferencích.

Zanechat komentář

WordPress školení pro začátečníky a mírně pokročilé (Praha 17.9.2020)

Získejte více informací o WordPress!

Připojte se do našeho emailového seznamu a nenechte si ujít informace, novinky a návody ze světa WordPressu.

Úspěšně jste se zapsali do našeho newsletteru. Děkujeme!

Tomáš Cirkl

Tomáš Cirkl

WordPress specialista

Blog WPlama.cz píši už více než 5 let. O WordPress přednáším a pořádám školení. Pro své klienty vytvářím a spravuji webové stránky.